Multiple roles not displayed in project overview

2009-05-11 20:39 - Gregor Bader

Status: Closed Start date: 2009-05-11

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Projects Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

The new functionality of multiple roles r2726 is not displayed correctly in project overview. Only one role is displayed there.

Associated revisions

Revision 2734 - 2009-05-12 21:04 - Jean-Philippe Lang

Display all users roles on project overview (#3339).

History

#1 - 2009-05-12 18:50 - Jean-Philippe Lang

Indeed, only the 'main' role is displayed (based on roles order) to keep it simple and so that users can be grouped by role.

How do you expect this view to display all the roles?

#2 - 2009-05-12 19:27 - Gregor Bader

I expected that a user is displayed under each role he is assigned on.

The purpose is that in our installation the roles are not hierarchically ordered. Manager is on top, but Developers and Supporters are nearly equal

except for the workflow of issues. We follow the concept of verified issues. So Issues status is New -> Assigned -> Closed(resolved, integrated to

SVN) -> Verified (which is closed). Only Supporters who are testing a software release are able to "verify" an issue.

In some cases Developers might be Supporters an vice versa.

#3 - 2009-05-12 20:55 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

Done in r2734.
